### Method

# Ide SourceView get_visible_rect

#### Declaration

    void
    ide_source_view_get_visible_rect (
      IdeSourceView* self,
      GdkRectangle* visible_rect
    )

#### Description

Gets the visible region in buffer coordinates that is the visible area of the buffer. This is similar to `gtk_text_view_get_visible_area()` except that it takes into account the `IdeSourceView:scroll-offset` property to ensure there is space above and below the visible_rect.

Available since: | 3.32

#### Parameters

`visible_rect` | `GdkRectangle`
| A `GdkRectangle`.
| The argument will be set by the function.
| The data is owned by the caller of the function.